import { HttpClient } from "@angular/common/http";
import { BaseApiTemplateService } from "../../shared/base-api-template-service.model";
import { ApiVisa } from "../../shared/api-visa.model";
import { Observable } from "rxjs";
import { StockReplenishmentModel } from "../../../../../../models/aggregates/erp/stock/stock-replenishment.model";
export declare class StockReplenishmentService extends BaseApiTemplateService<StockReplenishmentModel> {
    readonly url: string;
    constructor(theHttp: HttpClient);
    getStockReplenishment(apiVisa: ApiVisa): Observable<StockReplenishmentModel>;
    getStockReplenishmentByGuid(guid: string, visa: ApiVisa): Observable<StockReplenishmentModel>;
    saveStockReplenishment(stockReplenishment: StockReplenishmentModel, apiVisa: ApiVisa): Observable<StockReplenishmentModel>;
    deleteStockReplenishment(guid: string, apiVisa: ApiVisa): Observable<StockReplenishmentModel>;
}
